For the complete documentation index, see llms.txt. This page is also available as Markdown.

Public APIs

Alluvial exposes several non-authenticated APIs to support DApps

List latest high-level protocol info

get

List latest available high-level protocol

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
unitstringOptional

Display LsETH values in units of wei or ether. If not present, LsETH is set by default.

Responses
200

OK

application/json
a_srr_7dstringOptionalExample: 3.9712483
conversion_ratestringOptionalExample: 1.012345
datestringOptionalExample: 2023-01-02T03:04:05Z
gross_fee_lsethstringOptionalExample: 0.1851
gross_fee_ratestringOptionalExample: 0.15
net_srr_7dstringOptionalExample: 3.375561055
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
protocol_service_fee_ratestringOptionalExample: 0.11
rewards_ethstringOptionalExample: 1.234
total_eth_stakedstringOptionalExample: 122007944.381
total_lseth_supplystringOptionalExample: 120520123.456789
total_protocol_active_keys_countintegerOptionalExample: 76
total_protocol_burns_lsethstringOptionalExample: 32
total_protocol_mints_lsethstringOptionalExample: 32
get/eth/v1/protocol

List high-level protocol info

get

List high-level protocol info for a given date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datestringRequired

Date filter by year, month or day (eg. 2023, 2023-12, 2023-12-31). Note: times are UTC

Query parameters
unitstringOptional

Display LsETH values in units of wei or ether. If not present, LsETH is set by default.

Responses
200

OK

application/json
a_srr_7dstringOptionalExample: 3.9712483
conversion_ratestringOptionalExample: 1.012345
datestringOptionalExample: 2023-01-02T03:04:05Z
gross_fee_lsethstringOptionalExample: 0.1851
gross_fee_ratestringOptionalExample: 0.15
net_srr_7dstringOptionalExample: 3.375561055
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
protocol_service_fee_ratestringOptionalExample: 0.11
rewards_ethstringOptionalExample: 1.234
total_eth_stakedstringOptionalExample: 122007944.381
total_lseth_supplystringOptionalExample: 120520123.456789
total_protocol_active_keys_countintegerOptionalExample: 76
total_protocol_burns_lsethstringOptionalExample: 32
total_protocol_mints_lsethstringOptionalExample: 32
get/eth/v1/protocol/{date}

Get wallet rewards (V4 Public API)

get

Get reward details for a wallet address with new V4 parameter structure

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired

Wallet address (0x-prefixed hex)

Query parameters
startstringRequired

Start date (YYYY-MM-DD format)

endstringOptional

End date (YYYY-MM-DD format, defaults to current time)

display_ethstringOptional

Display ETH fields (default: true)

csvstringOptional

Export to CSV

Responses
200

OK

get/eth/v1/wallet/{address}/rewards

Get wallet status

get

Provides status information of the wallet (ex. ALLOWLISTED, SUBMITTED, etc...)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired

Wallet address

Responses
200

OK

application/json
allowlistedbooleanOptionalExample: true
statusstringOptionalExample: ALLOWLISTED| PAUSED | DENIED
get/eth/v1/wallet/{address}/status

List wallet transactions

get

List wallet transactions for a given time period and wallet address

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired

Wallet address

Query parameters
fromstringOptional

Start date (default: 1 year ago)

tostringOptional

End date (default: current time)

csvstringOptional

Output as CSV

page_sizestringOptional

Page size (default: 100)

next_cursorstringOptional

Next cursor

Responses
200

OK

application/json
get/eth/v1/wallet/{address}/transactions

List the redeem requests (V1)

get

List redeem requests filtered by owner addresses and/or specific redeem IDs. At least one of owner or ids must be provided. When both are set the filters are combined (AND): only redeems whose ID is in the list AND whose owner is in the list are returned. IDs not found are silently omitted.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
ownerstringOptional

Owner address(es), comma-separated. Required if ids is not set.

idsstringOptional

Comma-separated list of redeem request IDs (max 500). Required if owner is not set.

display_ethbooleanOptional

Include claimable_amount_eth in response (default: true)

Responses
200

OK

application/json
claimable_amount_ethstringOptional

The possible amount available to claim in ETH (only present when display_eth is true)

claimable_amount_lsethstringOptional

The possible amount available to claim in LsETH

claimed_amount_ethstringOptional

The amount already claimed in ETH

claimed_amount_lsethstringOptional

The amount already claimed in LsETH

heightstringOptional

The height is the cumulative sum of all the sizes of preceding redeem requests

idintegerOptional

The ID of the redeem request

Example: 1048576
max_redeemable_amount_ethstringOptional

The maximum amount of ETH redeemable by this request

ownerstringOptional

The owner of the redeem request

requested_atintegerOptional

Block time

status_claimstring ยท enumOptionalPossible values:
status_satisfactionstring ยท enumOptionalPossible values:
timestampstringOptional

Timestamp

total_amount_lsethstringOptional

The amount of the redeem request in LsETH

withdrawal_event_idintegerOptional

The withdrawal event ID needed to claim the redeem (or -1 when no withdrawals available)

Example: 42
get/eth/v1/redeems

Returns validator exit queue info

get

Returns validator exit queue info, including time estimates.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
exit_time_hoursstringOptional
mandatory_exit_delay_hoursstringOptional
sweep_time_hoursstringOptional
get/eth/v1/validators/queue

Last updated

Was this helpful?